%define	version 1.2.0.20100305
%define	release %mkrel 2

Name:      ibus-table-xingma
Summary:   ibus-xingma - table-based engine
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv3+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ibus-table-devel >= 1.1.0
BuildRequires: ibus-table-extraphrase >= 1.1.0
BuildArch:	noarch

%description
ibus-table-xingma provide structure tables for IBus-Table on IBus framework.

%package -n ibus-table-xinhua
Group: System/Internationalization
Summary: ibus-xinhua - table-based engine
Requires: ibus-table >= 1.2.0.20091113-2

%description -n ibus-table-xinhua
ibus-table-xinhua provides Xinhua input method on IBus Table under IBus framework.

%files -n ibus-table-xinhua
%defattr(-,root,root)
%{_datadir}/ibus-table/icons/xinhua*
%{_datadir}/ibus-table/tables/xinhua*.db

%package -n ibus-table-stroke5
Group: System/Internationalization
Summary: ibus-stroke5 - table-based engine
Requires: ibus-table >= 1.2.0.20091113-2

%description -n ibus-table-stroke5
ibus-table-stroke5 provides stroke5 input method on IBus Table under IBus framework.

%files -n ibus-table-stroke5
%defattr(-,root,root)
%{_datadir}/ibus-table/icons/stroke5*
%{_datadir}/ibus-table/tables/stroke5*.db

%package -n ibus-table-zhengma
Group: System/Internationalization
Summary: ibus-zhengma - table-based engine
Requires: ibus-table >= 1.2.0.20091113-2

%description -n ibus-table-zhengma
ibus-table-zhengma provides zhengma input method on IBus Table under IBus framework.

%files -n ibus-table-zhengma
%defattr(-,root,root)
%{_datadir}/ibus-table/icons/zhengma*
%{_datadir}/ibus-table/tables/zhengma*.db

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --disable-wubi86 --enable-extra-phrases
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -rf %buildroot%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat Mar 27 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20100305-2mdv2010.1
+ Revision: 528053
- bump rel
- import ibus-table-xingma


